I applied all available maintenance to CA ACF2 OPTION for DB2. When I started to use it I got an error. CA Support said I did not have all the maintenance installed. What is missing?

Document ID : KB000011607
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

When I installed CA ACF2 Option for DB2 I applied available maintenance as well.

When Starting to use CA ACF2 Option for DB2 I received some error messages 
(for example  CADB2091 - Internal error - invalid DB2SERV - D 0127)

I called CA SUPPORT and was told that maintenance was missing.)

What did I miss?

Answer:

When applying maintenance for a product you should ensure that maintenance is requested

for all included components.

For CA ACF2 Option for DB2 the components are:


CA ACF2 Option for DB2
CA-Security/DB
CAIENF/DB2
Chorus Software Manager

 

In this instance you need the following PTS for CA-Security/DB2

Apars RO25433, RO25436 and RO24893/RO88618 
provide the required support for the DB2 V10.

The specific problem you are seeing with message 
CADB2091 - Internal error - invalid DB2SERV - D 0127 
is caused because you do not have the version of CADB2SEC that supports the Database CHKDATA function. 
RO24893 provides this suppoort but I would recommend that you apply the latest version of CADB2SEC - RO88618